package com.yd.api.agms.vo.hiring;

import com.github.pagehelper.PageInfo;
import com.yd.dal.entity.agms.hiring.PractitionerHiringListInfo;

/**
 * @author xxy
 */
public class PractitionerHiringListRequestVO {
    private Long branchId;
    private Long deptId;
    private Long subsystemId;
    private Long name;
    private Long status;
    private PageInfo<PractitionerHiringListInfo> pageInfo;

    public PageInfo<PractitionerHiringListInfo> getPageInfo() {
        return pageInfo;
    }

    public void setPageInfo(PageInfo<PractitionerHiringListInfo> pageInfo) {
        this.pageInfo = pageInfo;
    }

    @Override
    public String toString() {
        return "PractitionerHiringListRequestVO{" +
                "pageInfo=" + pageInfo +
                '}';
    }

    public Long getBranchId() {
        return branchId;
    }

    public void setBranchId(Long branchId) {
        this.branchId = branchId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getSubsystemId() {
        return subsystemId;
    }

    public void setSubsystemId(Long subsystemId) {
        this.subsystemId = subsystemId;
    }

    public Long getName() {
        return name;
    }

    public void setName(Long name) {
        this.name = name;
    }

    public Long getStatus() {
        return status;
    }

    public void setStatus(Long status) {
        this.status = status;
    }
}
